Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model.types
Class TAPAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.TAPAbstractType

Direct Known Subclasses:
  TableProperties

    public abstract class TAPAbstractType

extends java.lang.Object

Table Properties. Properties descriptions quoted from official 97-2007 binary file format specification.

NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

Author:
  S. Ryan Ackley

Method Summary
`BorderCode` | `getBrcBottom()` Get the brcBottom field for the TAP record.
`BorderCode` | `getBrcHorizontal()` Get the brcHorizontal field for the TAP record.
`BorderCode` | `getBrcLeft()` Get the brcLeft field for the TAP record.
`BorderCode` | `getBrcRight()` Get the brcRight field for the TAP record.
`BorderCode` | `getBrcTop()` Get the brcTop field for the TAP record.
`BorderCode` | `getBrcVertical()` Get the brcVertical field for the TAP record.
`short` | `getCHorzBands()` Size of each horizontal style band, in number of rows.
`short` | `getCVertBands()` Size of a vertical style band, in number of columns.
`int` | `getDxaAbs()` Absolute horizontal position.
`int` | `getDxaAdjust()` Used internally by Word.
`int` | `getDxaColWidthWwd()` Used internally by Word.
`int` | `getDxaFromText()` Left distance from surrounding text when absolutely positioned.
`int` | `getDxaFromTextRight()` Right distance from surrounding text when absolutely positioned.
`int` | `getDxaGapHalf()` Measures half of the white space that will be maintained between text in adjacent columns of a table row.
`int` | `getDxaRTEWrapWidth()` Used internally by Word.
`int` | `getDxaWebView()` Used internally by Word.
`int` | `getDyaAbs()` Absolute vertical position.
`int` | `getDyaFromText()` Top distance from surrounding text when absolutely positioned.
`int` | `getDyaFromTextBottom()` Bottom distance from surrounding text when absolutely positioned.
`int` | `getDyaRowHeight()` When greater than 0, guarantees that the height of the table will be at least dyaRowHeight high.
`byte` | `getFBiDi()` When 1, table is right-to-left.
`boolean` | `getFCantSplit()` When 1, table row may not be split across page bounds.
`boolean` | `getFCantSplit90()` When 1, table row may not be split across page bounds.
`byte` | `getFHasOldProps()` Has old properties.
`byte` | `getFNoAllowOverlap()` When set to 1, do not allow absolutely positioned table to overlap with other tables.
`byte` | `getFPropRMark()` Set to 1 if property revision.
`byte` | `getFRTL()` Word 2000 style right-to-left table.
`byte` | `getFSpare()` Not used.
`boolean` | `getFTableHeader()` When 1, table row is to be used as the header of the table.
`byte` | `getFtsCellPaddingDefaultBottom()` Default bottom cell margin/padding units.
`byte` | `getFtsCellPaddingDefaultLeft()` Default left cell margin/padding units.
`byte` | `getFtsCellPaddingDefaultRight()` Default right cell margin/padding units.
`byte` | `getFtsCellPaddingDefaultTop()` Default top cell margin/padding units.
`byte` | `getFtsCellPaddingOuterBottom()` Default outer bottom cell margin/padding units.
`byte` | `getFtsCellPaddingOuterLeft()` Default outer left cell margin/padding units.
`byte` | `getFtsCellPaddingOuterRight()` Default outer right cell margin/padding units.
`byte` | `getFtsCellPaddingOuterTop()` Default outer top cell margin/padding units.
`byte` | `getFtsCellSpacingDefaultBottom()` Default bottom cell spacings units.
`byte` | `getFtsCellSpacingDefaultLeft()` Default left cell spacings units.
`byte` | `getFtsCellSpacingDefaultRight()` Default right cell spacings units.
`byte` | `getFtsCellSpacingDefaultTop()` Default top cell spacings units.
`byte` | `getFtsCellSpacingOuterBottom()` Default outer bottom cell spacings units.
`byte` | `getFtsCellSpacingOuterLeft()` Default outer left cell spacings units.
`byte` | `getFtsCellSpacingOuterRight()` Default outer right cell spacings units.
`byte` | `getFtsCellSpacingOuterTop()` Default outer top cell spacings units.
`byte` | `getFtsWidth()` Units for wWidth: 0 -- null; 1 -- auto, ignores wWidth, 2 -- percentage (in 50ths of a percent), 3 -- twips
`byte` | `getFtsWidthAfter()` Units for wWidthAfter: 0 -- null; 1 -- auto, ignores wWidthAfter, 2 -- percentage (in 50ths of a percent), 3 -- twips
`byte` | `getFtsWidthBefore()` Units for wWidthBefore: 0 -- null; 1 -- auto, ignores wWidthBefore, 2 -- percentage (in 50ths of a percent), 3 -- twips
`byte` | `getFtsWidthIndent()` Units for wWidthIndent: 0 -- null; 1 -- auto, ignores wWidthIndent, 2 -- percentage (in 50ths of a percent), 3 -- twips
`short` | `getGrpfTap_unused()` Not used
`int` | `getGrpfTap()` Used internally by Word.
`int` | `getInternalFlags()` Used internally by Word.
`short` | `getIstd()` Table style for the Table.
`short` | `getItcMac()` Count of cells defined for this row.
`short` | `getJc()` Justification code.
`byte` | `getPcHorz()` Horizontal position code.
`short` | `getPctWwd()` Used internally by Word: percent of Window size for AutoFit in WebView.
`byte` | `getPcVert()` Vertical position code.
`BorderCode` | `getRgbrcInsideDefault_0()` Border definition for inside horizontal borders.
`BorderCode` | `getRgbrcInsideDefault_1()` Border definition for inside vertical borders.
`short[]` | `getRgdxaCenter()` rgdxaCenter[0] is the left boundary of cell 0 measured relative to margin rgdxaCenter[tap.itcMac - 1] is left boundary of last cell rgdxaCenter[tap.itcMac] is right boundary of last cell..
`short[]` | `getRgdxaCenterPrint()` Used internally by Word.
`ShadingDescriptor[]` | `getRgshd()` Get the rgshd field for the TAP record.
`TableCellDescriptor[]` | `getRgtc()` Get the rgtc field for the TAP record.
`ShadingDescriptor` | `getShdTable()` Table shading.
`TableAutoformatLookSpecifier` | `getTlp()` Table look specifier.
`short` | `getViewFlags_unused2()` Not used
`int` | `getViewFlags()` Used internally by Word.
`short` | `getWCellPaddingDefaultBottom()` Default bottom cell margin/padding.
`short` | `getWCellPaddingDefaultLeft()` Default left cell margin/padding.
`short` | `getWCellPaddingDefaultRight()` Default right cell margin/padding.
`short` | `getWCellPaddingDefaultTop()` Default top cell margin/padding.
`short` | `getWCellPaddingOuterBottom()` Default outer bottom cell margin/padding.
`short` | `getWCellPaddingOuterLeft()` Default outer left cell margin/padding.
`short` | `getWCellPaddingOuterRight()` Default outer right cell margin/padding.
`short` | `getWCellPaddingOuterTop()` Default outer top cell margin/padding.
`short` | `getWCellSpacingDefaultBottom()` Default bottom cell spacings.
`short` | `getWCellSpacingDefaultLeft()` Default left cell spacings.
`short` | `getWCellSpacingDefaultRight()` Default right cell spacings.
`short` | `getWCellSpacingDefaultTop()` Default top cell spacings.
`short` | `getWCellSpacingOuterBottom()` Default outer bottom cell spacing.
`short` | `getWCellSpacingOuterLeft()` Default outer left cell spacing.
`short` | `getWCellSpacingOuterRight()` Default outer right cell spacing.
`short` | `getWCellSpacingOuterTop()` Default outer top cell spacing.
`byte` | `getWidthAndFitsFlags_empty1()` Not used
`short` | `getWidthAndFitsFlags_empty2()` Not used
`int` | `getWidthAndFitsFlags()` Get the widthAndFitsFlags field for the TAP record.
`short` | `getWWidth()` Preferred table width.
`short` | `getWWidthAfter()` Width of invisible cell (used for layout purposes) after the last visible cell in the row..
`short` | `getWWidthBefore()` Width of invisible cell (used for layout purposes) before the first visible cell in the row..
`short` | `getWWidthIndent()` Left Indent.
`boolean` | `isFAdjusted()` Used internally by Word
`boolean` | `isFAutofit()` When set to 1, AutoFit this table
`boolean` | `isFCellSpacing()` Used internally by Word: When set to 1 cell spacing is allowed
`boolean` | `isFFirstRow()` Used internally by Word: first row
`boolean` | `isFInvalAutofit()` When 1, TAP is still valid, but autofit properties aren't
`boolean` | `isFKeepFollow()` When set to 1, keep this row with the following row
`boolean` | `isFLastRow()` Used internally by Word: last row
`boolean` | `isFNeverBeenAutofit()` When 1, table has never been autofit
`boolean` | `isFNotPageView()` Used internally by Word: when set to 1 we are not in Page View
`boolean` | `isFOrigWordTableRules()` Used internally by Word: table combining like Word 5.x for the Macintosh and WinWord 1.x
`boolean` | `isFOutline()` Used internally by Word: row was cached for outline mode
`boolean` | `isFVert()` When 1, positioned in vertical text flow
`boolean` | `isFWebView()` Used internally by Word: Web View is on when set to 1
`boolean` | `isFWrapToWwd()` Used internally by Word: Wrap to window is on when set to 1
`boolean` | `isViewFlags_unused1()` Not used
`void` | `setBrcBottom(BorderCode field_36_brcBottom)` Set the brcBottom field for the TAP record.
`void` | `setBrcHorizontal(BorderCode field_41_brcHorizontal)` Set the brcHorizontal field for the TAP record.
`void` | `setBrcLeft(BorderCode field_38_brcLeft)` Set the brcLeft field for the TAP record.
`void` | `setBrcRight(BorderCode field_39_brcRight)` Set the brcRight field for the TAP record.
`void` | `setBrcTop(BorderCode field_37_brcTop)` Set the brcTop field for the TAP record.
`void` | `setBrcVertical(BorderCode field_40_brcVertical)` Set the brcVertical field for the TAP record.
`void` | `setCHorzBands(short field_78_cHorzBands)` Size of each horizontal style band, in number of rows.
`void` | `setCVertBands(short field_79_cVertBands)` Size of a vertical style band, in number of columns.
`void` | `setDxaAbs(int field_14_dxaAbs)` Absolute horizontal position.
`void` | `setDxaAdjust(int field_27_dxaAdjust)` Used internally by Word.
`void` | `setDxaColWidthWwd(int field_30_dxaColWidthWwd)` Used internally by Word.
`void` | `setDxaFromText(int field_16_dxaFromText)` Left distance from surrounding text when absolutely positioned.
`void` | `setDxaFromTextRight(int field_18_dxaFromTextRight)` Right distance from surrounding text when absolutely positioned.
`void` | `setDxaGapHalf(int field_3_dxaGapHalf)` Measures half of the white space that will be maintained between text in adjacent columns of a table row.
`void` | `setDxaRTEWrapWidth(int field_29_dxaRTEWrapWidth)` Used internally by Word.
`void` | `setDxaWebView(int field_28_dxaWebView)` Used internally by Word.
`void` | `setDyaAbs(int field_15_dyaAbs)` Absolute vertical position.
`void` | `setDyaFromText(int field_17_dyaFromText)` Top distance from surrounding text when absolutely positioned.
`void` | `setDyaFromTextBottom(int field_19_dyaFromTextBottom)` Bottom distance from surrounding text when absolutely positioned.
`void` | `setDyaRowHeight(int field_4_dyaRowHeight)` When greater than 0, guarantees that the height of the table will be at least dyaRowHeight high.
`void` | `setFAdjusted(boolean value)` Sets the fAdjusted field value.
`void` | `setFAutofit(boolean value)` Sets the fAutofit field value.
`void` | `setFBiDi(byte field_20_fBiDi)` When 1, table is right-to-left.
`void` | `setFCantSplit(boolean field_5_fCantSplit)` When 1, table row may not be split across page bounds.
`void` | `setFCantSplit90(boolean field_6_fCantSplit90)` When 1, table row may not be split across page bounds.
`void` | `setFCellSpacing(boolean value)` Sets the fCellSpacing field value.
`void` | `setFFirstRow(boolean value)` Sets the fFirstRow field value.
`void` | `setFHasOldProps(byte field_77_fHasOldProps)` Has old properties.
`void` | `setFInvalAutofit(boolean value)` Sets the fInvalAutofit field value.
`void` | `setFKeepFollow(boolean value)` Sets the fKeepFollow field value.
`void` | `setFLastRow(boolean value)` Sets the fLastRow field value.
`void` | `setFNeverBeenAutofit(boolean value)` Sets the fNeverBeenAutofit field value.
`void` | `setFNoAllowOverlap(byte field_22_fNoAllowOverlap)` When set to 1, do not allow absolutely positioned table to overlap with other tables.
`void` | `setFNotPageView(boolean value)` Sets the fNotPageView field value.
`void` | `setFOrigWordTableRules(boolean value)` Sets the fOrigWordTableRules field value.
`void` | `setFOutline(boolean value)` Sets the fOutline field value.
`void` | `setFPropRMark(byte field_76_fPropRMark)` Set to 1 if property revision.
`void` | `setFRTL(byte field_21_fRTL)` Word 2000 style right-to-left table.
`void` | `setFSpare(byte field_23_fSpare)` Not used.
`void` | `setFTableHeader(boolean field_7_fTableHeader)` When 1, table row is to be used as the header of the table.
`void` | `setFtsCellPaddingDefaultBottom(byte field_48_ftsCellPaddingDefaultBottom)` Default bottom cell margin/padding units.
`void` | `setFtsCellPaddingDefaultLeft(byte field_47_ftsCellPaddingDefaultLeft)` Default left cell margin/padding units.
`void` | `setFtsCellPaddingDefaultRight(byte field_49_ftsCellPaddingDefaultRight)` Default right cell margin/padding units.
`void` | `setFtsCellPaddingDefaultTop(byte field_46_ftsCellPaddingDefaultTop)` Default top cell margin/padding units.
`void` | `setFtsCellPaddingOuterBottom(byte field_64_ftsCellPaddingOuterBottom)` Default outer bottom cell margin/padding units.
`void` | `setFtsCellPaddingOuterLeft(byte field_63_ftsCellPaddingOuterLeft)` Default outer left cell margin/padding units.
`void` | `setFtsCellPaddingOuterRight(byte field_65_ftsCellPaddingOuterRight)` Default outer right cell margin/padding units.
`void` | `setFtsCellPaddingOuterTop(byte field_62_ftsCellPaddingOuterTop)` Default outer top cell margin/padding units.
`void` | `setFtsCellSpacingDefaultBottom(byte field_56_ftsCellSpacingDefaultBottom)` Default bottom cell spacings units.
`void` | `setFtsCellSpacingDefaultLeft(byte field_55_ftsCellSpacingDefaultLeft)` Default left cell spacings units.
`void` | `setFtsCellSpacingDefaultRight(byte field_57_ftsCellSpacingDefaultRight)` Default right cell spacings units.
`void` | `setFtsCellSpacingDefaultTop(byte field_54_ftsCellSpacingDefaultTop)` Default top cell spacings units.
`void` | `setFtsCellSpacingOuterBottom(byte field_72_ftsCellSpacingOuterBottom)` Default outer bottom cell spacings units.
`void` | `setFtsCellSpacingOuterLeft(byte field_71_ftsCellSpacingOuterLeft)` Default outer left cell spacings units.
`void` | `setFtsCellSpacingOuterRight(byte field_73_ftsCellSpacingOuterRight)` Default outer right cell spacings units.
`void` | `setFtsCellSpacingOuterTop(byte field_70_ftsCellSpacingOuterTop)` Default outer top cell spacings units.
`void` | `setFtsWidth(byte value)` Sets the ftsWidth field value.
`void` | `setFtsWidthAfter(byte value)` Sets the ftsWidthAfter field value.
`void` | `setFtsWidthBefore(byte value)` Sets the ftsWidthBefore field value.
`void` | `setFtsWidthIndent(byte value)` Sets the ftsWidthIndent field value.
`void` | `setFVert(boolean value)` Sets the fVert field value.
`void` | `setFWebView(boolean value)` Sets the fWebView field value.
`void` | `setFWrapToWwd(boolean value)` Sets the fWrapToWwd field value.
`void` | `setGrpfTap_unused(short value)` Sets the grpfTap_unused field value.
`void` | `setGrpfTap(int field_24_grpfTap)` Used internally by Word.
`void` | `setInternalFlags(int field_25_internalFlags)` Used internally by Word.
`void` | `setIstd(short field_1_istd)` Table style for the Table.
`void` | `setItcMac(short field_26_itcMac)` Count of cells defined for this row.
`void` | `setJc(short field_2_jc)` Justification code.
`void` | `setPcHorz(byte value)` Sets the pcHorz field value.
`void` | `setPctWwd(short field_31_pctWwd)` Used internally by Word: percent of Window size for AutoFit in WebView.
`void` | `setPcVert(byte value)` Sets the pcVert field value.
`void` | `setRgbrcInsideDefault_0(BorderCode field_80_rgbrcInsideDefault_0)` Border definition for inside horizontal borders.
`void` | `setRgbrcInsideDefault_1(BorderCode field_81_rgbrcInsideDefault_1)` Border definition for inside vertical borders.
`void` | `setRgdxaCenter(short[] field_33_rgdxaCenter)` rgdxaCenter[0] is the left boundary of cell 0 measured relative to margin rgdxaCenter[tap.itcMac - 1] is left boundary of last cell rgdxaCenter[tap.itcMac] is right boundary of last cell..
`void` | `setRgdxaCenterPrint(short[] field_34_rgdxaCenterPrint)` Used internally by Word.
`void` | `setRgshd(ShadingDescriptor[] field_75_rgshd)` Set the rgshd field for the TAP record.
`void` | `setRgtc(TableCellDescriptor[] field_74_rgtc)` Set the rgtc field for the TAP record.
`void` | `setShdTable(ShadingDescriptor field_35_shdTable)` Table shading.
`void` | `setTlp(TableAutoformatLookSpecifier field_8_tlp)` Table look specifier.
`void` | `setViewFlags_unused1(boolean value)` Sets the viewFlags_unused1 field value.
`void` | `setViewFlags_unused2(short value)` Sets the viewFlags_unused2 field value.
`void` | `setViewFlags(int field_32_viewFlags)` Used internally by Word.
`void` | `setWCellPaddingDefaultBottom(short field_44_wCellPaddingDefaultBottom)` Default bottom cell margin/padding.
`void` | `setWCellPaddingDefaultLeft(short field_43_wCellPaddingDefaultLeft)` Default left cell margin/padding.
`void` | `setWCellPaddingDefaultRight(short field_45_wCellPaddingDefaultRight)` Default right cell margin/padding.
`void` | `setWCellPaddingDefaultTop(short field_42_wCellPaddingDefaultTop)` Default top cell margin/padding.
`void` | `setWCellPaddingOuterBottom(short field_60_wCellPaddingOuterBottom)` Default outer bottom cell margin/padding.
`void` | `setWCellPaddingOuterLeft(short field_59_wCellPaddingOuterLeft)` Default outer left cell margin/padding.
`void` | `setWCellPaddingOuterRight(short field_61_wCellPaddingOuterRight)` Default outer right cell margin/padding.
`void` | `setWCellPaddingOuterTop(short field_58_wCellPaddingOuterTop)` Default outer top cell margin/padding.
`void` | `setWCellSpacingDefaultBottom(short field_52_wCellSpacingDefaultBottom)` Default bottom cell spacings.
`void` | `setWCellSpacingDefaultLeft(short field_51_wCellSpacingDefaultLeft)` Default left cell spacings.
`void` | `setWCellSpacingDefaultRight(short field_53_wCellSpacingDefaultRight)` Default right cell spacings.
`void` | `setWCellSpacingDefaultTop(short field_50_wCellSpacingDefaultTop)` Default top cell spacings.
`void` | `setWCellSpacingOuterBottom(short field_68_wCellSpacingOuterBottom)` Default outer bottom cell spacing.
`void` | `setWCellSpacingOuterLeft(short field_67_wCellSpacingOuterLeft)` Default outer left cell spacing.
`void` | `setWCellSpacingOuterRight(short field_69_wCellSpacingOuterRight)` Default outer right cell spacing.
`void` | `setWCellSpacingOuterTop(short field_66_wCellSpacingOuterTop)` Default outer top cell spacing.
`void` | `setWidthAndFitsFlags_empty1(byte value)` Sets the widthAndFitsFlags_empty1 field value.
`void` | `setWidthAndFitsFlags_empty2(short value)` Sets the widthAndFitsFlags_empty2 field value.
`void` | `setWidthAndFitsFlags(int field_13_widthAndFitsFlags)` Set the widthAndFitsFlags field for the TAP record.
`void` | `setWWidth(short field_9_wWidth)` Preferred table width.
`void` | `setWWidthAfter(short field_12_wWidthAfter)` Width of invisible cell (used for layout purposes) after the last visible cell in the row..
`void` | `setWWidthBefore(short field_11_wWidthBefore)` Width of invisible cell (used for layout purposes) before the first visible cell in the row..
`void` | `setWWidthIndent(short field_10_wWidthIndent)` Left Indent.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getIstd

    public short getIstd()

  Table style for the Table.

### setIstd

    public void setIstd(short field_1_istd)

  Table style for the Table.

### getJc

    public short getJc()

  Justification code. specifies how table row should be justified within its column. 0 -- left justify, 1 -- center, 2 -- right justify.

### setJc

    public void setJc(short field_2_jc)

  Justification code. specifies how table row should be justified within its column. 0 -- left justify, 1 -- center, 2 -- right justify.

### getDxaGapHalf

    public int getDxaGapHalf()

  Measures half of the white space that will be maintained between text in adjacent columns of a table row. A dxaGapHalf width of white space will be maintained on both sides of a column boundary..

### setDxaGapHalf

    public void setDxaGapHalf(int field_3_dxaGapHalf)

  Measures half of the white space that will be maintained between text in adjacent columns of a table row. A dxaGapHalf width of white space will be maintained on both sides of a column boundary..

### getDyaRowHeight

    public int getDyaRowHeight()

  When greater than 0, guarantees that the height of the table will be at least dyaRowHeight high. When less than 0, guarantees that the height of the table will be exactly absolute value of dyaRowHeight high. When 0, table will be given a height large enough to represent all of the text in all of the cells of the table. Cells with vertical text flow make no contribution to the computation of the height of rows with auto or at least height. Neither do vertically merged cells, except in the last row of the vertical merge. If an auto height row consists entirely of cells which have vertical text direction or are vertically merged, and the row does not contain the last cell in any vertical cell merge, then the row is given height equal to that of the end of cell mark in the first cell..

### setDyaRowHeight

    public void setDyaRowHeight(int field_4_dyaRowHeight)

  When greater than 0, guarantees that the height of the table will be at least dyaRowHeight high. When less than 0, guarantees that the height of the table will be exactly absolute value of dyaRowHeight high. When 0, table will be given a height large enough to represent all of the text in all of the cells of the table. Cells with vertical text flow make no contribution to the computation of the height of rows with auto or at least height. Neither do vertically merged cells, except in the last row of the vertical merge. If an auto height row consists entirely of cells which have vertical text direction or are vertically merged, and the row does not contain the last cell in any vertical cell merge, then the row is given height equal to that of the end of cell mark in the first cell..

### getFCantSplit

    public boolean getFCantSplit()

  When 1, table row may not be split across page bounds.

### setFCantSplit

    public void setFCantSplit(boolean field_5_fCantSplit)

  When 1, table row may not be split across page bounds.

### getFCantSplit90

    public boolean getFCantSplit90()

  When 1, table row may not be split across page bounds. Used for Word 2000 and Word 97..

### setFCantSplit90

    public void setFCantSplit90(boolean field_6_fCantSplit90)

  When 1, table row may not be split across page bounds. Used for Word 2000 and Word 97..

### getFTableHeader

    public boolean getFTableHeader()

  When 1, table row is to be used as the header of the table.

### setFTableHeader

    public void setFTableHeader(boolean field_7_fTableHeader)

  When 1, table row is to be used as the header of the table.

### getTlp

    public TableAutoformatLookSpecifier getTlp()

  Table look specifier.

### setTlp

    public void setTlp(TableAutoformatLookSpecifier field_8_tlp)

  Table look specifier.

### getWWidth

    public short getWWidth()

  Preferred table width.

### setWWidth

    public void setWWidth(short field_9_wWidth)

  Preferred table width.

### getWWidthIndent

    public short getWWidthIndent()

  Left Indent.

### setWWidthIndent

    public void setWWidthIndent(short field_10_wWidthIndent)

  Left Indent.

### getWWidthBefore

    public short getWWidthBefore()

  Width of invisible cell (used for layout purposes) before the first visible cell in the row..

### setWWidthBefore

    public void setWWidthBefore(short field_11_wWidthBefore)

  Width of invisible cell (used for layout purposes) before the first visible cell in the row..

### getWWidthAfter

    public short getWWidthAfter()

  Width of invisible cell (used for layout purposes) after the last visible cell in the row..

### setWWidthAfter

    public void setWWidthAfter(short field_12_wWidthAfter)

  Width of invisible cell (used for layout purposes) after the last visible cell in the row..

### getWidthAndFitsFlags

    public int getWidthAndFitsFlags()

  Get the widthAndFitsFlags field for the TAP record.

### setWidthAndFitsFlags

    public void setWidthAndFitsFlags(int field_13_widthAndFitsFlags)

  Set the widthAndFitsFlags field for the TAP record.

### getDxaAbs

    public int getDxaAbs()

  Absolute horizontal position.

### setDxaAbs

    public void setDxaAbs(int field_14_dxaAbs)

  Absolute horizontal position.

### getDyaAbs

    public int getDyaAbs()

  Absolute vertical position.

### setDyaAbs

    public void setDyaAbs(int field_15_dyaAbs)

  Absolute vertical position.

### getDxaFromText

    public int getDxaFromText()

  Left distance from surrounding text when absolutely positioned.

### setDxaFromText

    public void setDxaFromText(int field_16_dxaFromText)

  Left distance from surrounding text when absolutely positioned.

### getDyaFromText

    public int getDyaFromText()

  Top distance from surrounding text when absolutely positioned.

### setDyaFromText

    public void setDyaFromText(int field_17_dyaFromText)

  Top distance from surrounding text when absolutely positioned.

### getDxaFromTextRight

    public int getDxaFromTextRight()

  Right distance from surrounding text when absolutely positioned.

### setDxaFromTextRight

    public void setDxaFromTextRight(int field_18_dxaFromTextRight)

  Right distance from surrounding text when absolutely positioned.

### getDyaFromTextBottom

    public int getDyaFromTextBottom()

  Bottom distance from surrounding text when absolutely positioned.

### setDyaFromTextBottom

    public void setDyaFromTextBottom(int field_19_dyaFromTextBottom)

  Bottom distance from surrounding text when absolutely positioned.

### getFBiDi

    public byte getFBiDi()

  When 1, table is right-to-left. Logical right-to-left table: The CP stream of a right-to-left table is meant to be displayed from right to left. So for example the first table cell is displayed on the right side of the table instead of the left..

### setFBiDi

    public void setFBiDi(byte field_20_fBiDi)

  When 1, table is right-to-left. Logical right-to-left table: The CP stream of a right-to-left table is meant to be displayed from right to left. So for example the first table cell is displayed on the right side of the table instead of the left..

### getFRTL

    public byte getFRTL()

  Word 2000 style right-to-left table. Visual right-to-left table: The CP stream of a right-to-left table is displayed from left to right just as for a normal table. So, the text which is meant to be in the first (rightmost) table cell must be placed in the last table cell in the CP stream..

### setFRTL

    public void setFRTL(byte field_21_fRTL)

  Word 2000 style right-to-left table. Visual right-to-left table: The CP stream of a right-to-left table is displayed from left to right just as for a normal table. So, the text which is meant to be in the first (rightmost) table cell must be placed in the last table cell in the CP stream..

### getFNoAllowOverlap

    public byte getFNoAllowOverlap()

  When set to 1, do not allow absolutely positioned table to overlap with other tables.

### setFNoAllowOverlap

    public void setFNoAllowOverlap(byte field_22_fNoAllowOverlap)

  When set to 1, do not allow absolutely positioned table to overlap with other tables.

### getFSpare

    public byte getFSpare()

  Not used.

### setFSpare

    public void setFSpare(byte field_23_fSpare)

  Not used.

### getGrpfTap

    public int getGrpfTap()

  Used internally by Word.

### setGrpfTap

    public void setGrpfTap(int field_24_grpfTap)

  Used internally by Word.

### getInternalFlags

    public int getInternalFlags()

  Used internally by Word.

### setInternalFlags

    public void setInternalFlags(int field_25_internalFlags)

  Used internally by Word.

### getItcMac

    public short getItcMac()

  Count of cells defined for this row. itcMac must be >= 0 and less than or equal to 64..

### setItcMac

    public void setItcMac(short field_26_itcMac)

  Count of cells defined for this row. itcMac must be >= 0 and less than or equal to 64..

### getDxaAdjust

    public int getDxaAdjust()

  Used internally by Word.

### setDxaAdjust

    public void setDxaAdjust(int field_27_dxaAdjust)

  Used internally by Word.

### getDxaWebView

    public int getDxaWebView()

  Used internally by Word.

### setDxaWebView

    public void setDxaWebView(int field_28_dxaWebView)

  Used internally by Word.

### getDxaRTEWrapWidth

    public int getDxaRTEWrapWidth()

  Used internally by Word.

### setDxaRTEWrapWidth

    public void setDxaRTEWrapWidth(int field_29_dxaRTEWrapWidth)

  Used internally by Word.

### getDxaColWidthWwd

    public int getDxaColWidthWwd()

  Used internally by Word.

### setDxaColWidthWwd

    public void setDxaColWidthWwd(int field_30_dxaColWidthWwd)

  Used internally by Word.

### getPctWwd

    public short getPctWwd()

  Used internally by Word: percent of Window size for AutoFit in WebView.

### setPctWwd

    public void setPctWwd(short field_31_pctWwd)

  Used internally by Word: percent of Window size for AutoFit in WebView.

### getViewFlags

    public int getViewFlags()

  Used internally by Word.

### setViewFlags

    public void setViewFlags(int field_32_viewFlags)

  Used internally by Word.

### getRgdxaCenter

    public short[] getRgdxaCenter()

  rgdxaCenter[0] is the left boundary of cell 0 measured relative to margin rgdxaCenter[tap.itcMac - 1] is left boundary of last cell rgdxaCenter[tap.itcMac] is right boundary of last cell..

### setRgdxaCenter

    public void setRgdxaCenter(short[] field_33_rgdxaCenter)

  rgdxaCenter[0] is the left boundary of cell 0 measured relative to margin rgdxaCenter[tap.itcMac - 1] is left boundary of last cell rgdxaCenter[tap.itcMac] is right boundary of last cell..

### getRgdxaCenterPrint

    public short[] getRgdxaCenterPrint()

  Used internally by Word.

### setRgdxaCenterPrint

    public void setRgdxaCenterPrint(short[] field_34_rgdxaCenterPrint)

  Used internally by Word.

### getShdTable

    public ShadingDescriptor getShdTable()

  Table shading.

### setShdTable

    public void setShdTable(ShadingDescriptor field_35_shdTable)

  Table shading.

### getBrcBottom

    public BorderCode getBrcBottom()

  Get the brcBottom field for the TAP record.

### setBrcBottom

    public void setBrcBottom(BorderCode field_36_brcBottom)

  Set the brcBottom field for the TAP record.

### getBrcTop

    public BorderCode getBrcTop()

  Get the brcTop field for the TAP record.

### setBrcTop

    public void setBrcTop(BorderCode field_37_brcTop)

  Set the brcTop field for the TAP record.

### getBrcLeft

    public BorderCode getBrcLeft()

  Get the brcLeft field for the TAP record.

### setBrcLeft

    public void setBrcLeft(BorderCode field_38_brcLeft)

  Set the brcLeft field for the TAP record.

### getBrcRight

    public BorderCode getBrcRight()

  Get the brcRight field for the TAP record.

### setBrcRight

    public void setBrcRight(BorderCode field_39_brcRight)

  Set the brcRight field for the TAP record.

### getBrcVertical

    public BorderCode getBrcVertical()

  Get the brcVertical field for the TAP record.

### setBrcVertical

    public void setBrcVertical(BorderCode field_40_brcVertical)

  Set the brcVertical field for the TAP record.

### getBrcHorizontal

    public BorderCode getBrcHorizontal()

  Get the brcHorizontal field for the TAP record.

### setBrcHorizontal

    public void setBrcHorizontal(BorderCode field_41_brcHorizontal)

  Set the brcHorizontal field for the TAP record.

### getWCellPaddingDefaultTop

    public short getWCellPaddingDefaultTop()

  Default top cell margin/padding.

### setWCellPaddingDefaultTop

    public void setWCellPaddingDefaultTop(short field_42_wCellPaddingDefaultTop)

  Default top cell margin/padding.

### getWCellPaddingDefaultLeft

    public short getWCellPaddingDefaultLeft()

  Default left cell margin/padding.

### setWCellPaddingDefaultLeft

    public void setWCellPaddingDefaultLeft(short field_43_wCellPaddingDefaultLeft)

  Default left cell margin/padding.

### getWCellPaddingDefaultBottom

    public short getWCellPaddingDefaultBottom()

  Default bottom cell margin/padding.

### setWCellPaddingDefaultBottom

    public void setWCellPaddingDefaultBottom(short field_44_wCellPaddingDefaultBottom)

  Default bottom cell margin/padding.

### getWCellPaddingDefaultRight

    public short getWCellPaddingDefaultRight()

  Default right cell margin/padding.

### setWCellPaddingDefaultRight

    public void setWCellPaddingDefaultRight(short field_45_wCellPaddingDefaultRight)

  Default right cell margin/padding.

### getFtsCellPaddingDefaultTop

    public byte getFtsCellPaddingDefaultTop()

  Default top cell margin/padding units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### setFtsCellPaddingDefaultTop

    public void setFtsCellPaddingDefaultTop(byte field_46_ftsCellPaddingDefaultTop)

  Default top cell margin/padding units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### getFtsCellPaddingDefaultLeft

    public byte getFtsCellPaddingDefaultLeft()

  Default left cell margin/padding units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### setFtsCellPaddingDefaultLeft

    public void setFtsCellPaddingDefaultLeft(byte field_47_ftsCellPaddingDefaultLeft)

  Default left cell margin/padding units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### getFtsCellPaddingDefaultBottom

    public byte getFtsCellPaddingDefaultBottom()

  Default bottom cell margin/padding units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### setFtsCellPaddingDefaultBottom

    public void setFtsCellPaddingDefaultBottom(byte field_48_ftsCellPaddingDefaultBottom)

  Default bottom cell margin/padding units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### getFtsCellPaddingDefaultRight

    public byte getFtsCellPaddingDefaultRight()

  Default right cell margin/padding units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### setFtsCellPaddingDefaultRight

    public void setFtsCellPaddingDefaultRight(byte field_49_ftsCellPaddingDefaultRight)

  Default right cell margin/padding units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### getWCellSpacingDefaultTop

    public short getWCellSpacingDefaultTop()

  Default top cell spacings.

### setWCellSpacingDefaultTop

    public void setWCellSpacingDefaultTop(short field_50_wCellSpacingDefaultTop)

  Default top cell spacings.

### getWCellSpacingDefaultLeft

    public short getWCellSpacingDefaultLeft()

  Default left cell spacings.

### setWCellSpacingDefaultLeft

    public void setWCellSpacingDefaultLeft(short field_51_wCellSpacingDefaultLeft)

  Default left cell spacings.

### getWCellSpacingDefaultBottom

    public short getWCellSpacingDefaultBottom()

  Default bottom cell spacings.

### setWCellSpacingDefaultBottom

    public void setWCellSpacingDefaultBottom(short field_52_wCellSpacingDefaultBottom)

  Default bottom cell spacings.

### getWCellSpacingDefaultRight

    public short getWCellSpacingDefaultRight()

  Default right cell spacings.

### setWCellSpacingDefaultRight

    public void setWCellSpacingDefaultRight(short field_53_wCellSpacingDefaultRight)

  Default right cell spacings.

### getFtsCellSpacingDefaultTop

    public byte getFtsCellSpacingDefaultTop()

  Default top cell spacings units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### setFtsCellSpacingDefaultTop

    public void setFtsCellSpacingDefaultTop(byte field_54_ftsCellSpacingDefaultTop)

  Default top cell spacings units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### getFtsCellSpacingDefaultLeft

    public byte getFtsCellSpacingDefaultLeft()

  Default left cell spacings units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### setFtsCellSpacingDefaultLeft

    public void setFtsCellSpacingDefaultLeft(byte field_55_ftsCellSpacingDefaultLeft)

  Default left cell spacings units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### getFtsCellSpacingDefaultBottom

    public byte getFtsCellSpacingDefaultBottom()

  Default bottom cell spacings units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### setFtsCellSpacingDefaultBottom

    public void setFtsCellSpacingDefaultBottom(byte field_56_ftsCellSpacingDefaultBottom)

  Default bottom cell spacings units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### getFtsCellSpacingDefaultRight

    public byte getFtsCellSpacingDefaultRight()

  Default right cell spacings units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### setFtsCellSpacingDefaultRight

    public void setFtsCellSpacingDefaultRight(byte field_57_ftsCellSpacingDefaultRight)

  Default right cell spacings units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### getWCellPaddingOuterTop

    public short getWCellPaddingOuterTop()

  Default outer top cell margin/padding.

### setWCellPaddingOuterTop

    public void setWCellPaddingOuterTop(short field_58_wCellPaddingOuterTop)

  Default outer top cell margin/padding.

### getWCellPaddingOuterLeft

    public short getWCellPaddingOuterLeft()

  Default outer left cell margin/padding.

### setWCellPaddingOuterLeft

    public void setWCellPaddingOuterLeft(short field_59_wCellPaddingOuterLeft)

  Default outer left cell margin/padding.

### getWCellPaddingOuterBottom

    public short getWCellPaddingOuterBottom()

  Default outer bottom cell margin/padding.

### setWCellPaddingOuterBottom

    public void setWCellPaddingOuterBottom(short field_60_wCellPaddingOuterBottom)

  Default outer bottom cell margin/padding.

### getWCellPaddingOuterRight

    public short getWCellPaddingOuterRight()

  Default outer right cell margin/padding.

### setWCellPaddingOuterRight

    public void setWCellPaddingOuterRight(short field_61_wCellPaddingOuterRight)

  Default outer right cell margin/padding.

### getFtsCellPaddingOuterTop

    public byte getFtsCellPaddingOuterTop()

  Default outer top cell margin/padding units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### setFtsCellPaddingOuterTop

    public void setFtsCellPaddingOuterTop(byte field_62_ftsCellPaddingOuterTop)

  Default outer top cell margin/padding units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### getFtsCellPaddingOuterLeft

    public byte getFtsCellPaddingOuterLeft()

  Default outer left cell margin/padding units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### setFtsCellPaddingOuterLeft

    public void setFtsCellPaddingOuterLeft(byte field_63_ftsCellPaddingOuterLeft)

  Default outer left cell margin/padding units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### getFtsCellPaddingOuterBottom

    public byte getFtsCellPaddingOuterBottom()

  Default outer bottom cell margin/padding units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### setFtsCellPaddingOuterBottom

    public void setFtsCellPaddingOuterBottom(byte field_64_ftsCellPaddingOuterBottom)

  Default outer bottom cell margin/padding units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### getFtsCellPaddingOuterRight

    public byte getFtsCellPaddingOuterRight()

  Default outer right cell margin/padding units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### setFtsCellPaddingOuterRight

    public void setFtsCellPaddingOuterRight(byte field_65_ftsCellPaddingOuterRight)

  Default outer right cell margin/padding units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### getWCellSpacingOuterTop

    public short getWCellSpacingOuterTop()

  Default outer top cell spacing.

### setWCellSpacingOuterTop

    public void setWCellSpacingOuterTop(short field_66_wCellSpacingOuterTop)

  Default outer top cell spacing.

### getWCellSpacingOuterLeft

    public short getWCellSpacingOuterLeft()

  Default outer left cell spacing.

### setWCellSpacingOuterLeft

    public void setWCellSpacingOuterLeft(short field_67_wCellSpacingOuterLeft)

  Default outer left cell spacing.

### getWCellSpacingOuterBottom

    public short getWCellSpacingOuterBottom()

  Default outer bottom cell spacing.

### setWCellSpacingOuterBottom

    public void setWCellSpacingOuterBottom(short field_68_wCellSpacingOuterBottom)

  Default outer bottom cell spacing.

### getWCellSpacingOuterRight

    public short getWCellSpacingOuterRight()

  Default outer right cell spacing.

### setWCellSpacingOuterRight

    public void setWCellSpacingOuterRight(short field_69_wCellSpacingOuterRight)

  Default outer right cell spacing.

### getFtsCellSpacingOuterTop

    public byte getFtsCellSpacingOuterTop()

  Default outer top cell spacings units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### setFtsCellSpacingOuterTop

    public void setFtsCellSpacingOuterTop(byte field_70_ftsCellSpacingOuterTop)

  Default outer top cell spacings units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### getFtsCellSpacingOuterLeft

    public byte getFtsCellSpacingOuterLeft()

  Default outer left cell spacings units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### setFtsCellSpacingOuterLeft

    public void setFtsCellSpacingOuterLeft(byte field_71_ftsCellSpacingOuterLeft)

  Default outer left cell spacings units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### getFtsCellSpacingOuterBottom

    public byte getFtsCellSpacingOuterBottom()

  Default outer bottom cell spacings units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### setFtsCellSpacingOuterBottom

    public void setFtsCellSpacingOuterBottom(byte field_72_ftsCellSpacingOuterBottom)

  Default outer bottom cell spacings units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### getFtsCellSpacingOuterRight

    public byte getFtsCellSpacingOuterRight()

  Default outer right cell spacings units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### setFtsCellSpacingOuterRight

    public void setFtsCellSpacingOuterRight(byte field_73_ftsCellSpacingOuterRight)

  Default outer right cell spacings units. 0 -- null; 1-2 -- not relevant; 3 -- twips..

### getRgtc

    public TableCellDescriptor[] getRgtc()

  Get the rgtc field for the TAP record.

### setRgtc

    public void setRgtc(TableCellDescriptor[] field_74_rgtc)

  Set the rgtc field for the TAP record.

### getRgshd

    public ShadingDescriptor[] getRgshd()

  Get the rgshd field for the TAP record.

### setRgshd

    public void setRgshd(ShadingDescriptor[] field_75_rgshd)

  Set the rgshd field for the TAP record.

### getFPropRMark

    public byte getFPropRMark()

  Set to 1 if property revision.

### setFPropRMark

    public void setFPropRMark(byte field_76_fPropRMark)

  Set to 1 if property revision.

### getFHasOldProps

    public byte getFHasOldProps()

  Has old properties.

### setFHasOldProps

    public void setFHasOldProps(byte field_77_fHasOldProps)

  Has old properties.

### getCHorzBands

    public short getCHorzBands()

  Size of each horizontal style band, in number of rows.

### setCHorzBands

    public void setCHorzBands(short field_78_cHorzBands)

  Size of each horizontal style band, in number of rows.

### getCVertBands

    public short getCVertBands()

  Size of a vertical style band, in number of columns.

### setCVertBands

    public void setCVertBands(short field_79_cVertBands)

  Size of a vertical style band, in number of columns.

### getRgbrcInsideDefault_0

    public BorderCode getRgbrcInsideDefault_0()

  Border definition for inside horizontal borders.

### setRgbrcInsideDefault_0

    public void setRgbrcInsideDefault_0(BorderCode field_80_rgbrcInsideDefault_0)

  Border definition for inside horizontal borders.

### getRgbrcInsideDefault_1

    public BorderCode getRgbrcInsideDefault_1()

  Border definition for inside vertical borders.

### setRgbrcInsideDefault_1

    public void setRgbrcInsideDefault_1(BorderCode field_81_rgbrcInsideDefault_1)

  Border definition for inside vertical borders.

### setFAutofit

    public void setFAutofit(boolean value)

  Sets the fAutofit field value. When set to 1, AutoFit this table

### isFAutofit

    public boolean isFAutofit()

  When set to 1, AutoFit this table

  Returns:
    the fAutofit field value.

### setFKeepFollow

    public void setFKeepFollow(boolean value)

  Sets the fKeepFollow field value. When set to 1, keep this row with the following row

### isFKeepFollow

    public boolean isFKeepFollow()

  When set to 1, keep this row with the following row

  Returns:
    the fKeepFollow field value.

### setFtsWidth

    public void setFtsWidth(byte value)

  Sets the ftsWidth field value. Units for wWidth: 0 -- null; 1 -- auto, ignores wWidth, 2 -- percentage (in 50ths of a percent), 3 -- twips

### getFtsWidth

    public byte getFtsWidth()

  Units for wWidth: 0 -- null; 1 -- auto, ignores wWidth, 2 -- percentage (in 50ths of a percent), 3 -- twips

  Returns:
    the ftsWidth field value.

### setFtsWidthIndent

    public void setFtsWidthIndent(byte value)

  Sets the ftsWidthIndent field value. Units for wWidthIndent: 0 -- null; 1 -- auto, ignores wWidthIndent, 2 -- percentage (in 50ths of a percent), 3 -- twips

### getFtsWidthIndent

    public byte getFtsWidthIndent()

  Units for wWidthIndent: 0 -- null; 1 -- auto, ignores wWidthIndent, 2 -- percentage (in 50ths of a percent), 3 -- twips

  Returns:
    the ftsWidthIndent field value.

### setFtsWidthBefore

    public void setFtsWidthBefore(byte value)

  Sets the ftsWidthBefore field value. Units for wWidthBefore: 0 -- null; 1 -- auto, ignores wWidthBefore, 2 -- percentage (in 50ths of a percent), 3 -- twips

### getFtsWidthBefore

    public byte getFtsWidthBefore()

  Units for wWidthBefore: 0 -- null; 1 -- auto, ignores wWidthBefore, 2 -- percentage (in 50ths of a percent), 3 -- twips

  Returns:
    the ftsWidthBefore field value.

### setFtsWidthAfter

    public void setFtsWidthAfter(byte value)

  Sets the ftsWidthAfter field value. Units for wWidthAfter: 0 -- null; 1 -- auto, ignores wWidthAfter, 2 -- percentage (in 50ths of a percent), 3 -- twips

### getFtsWidthAfter

    public byte getFtsWidthAfter()

  Units for wWidthAfter: 0 -- null; 1 -- auto, ignores wWidthAfter, 2 -- percentage (in 50ths of a percent), 3 -- twips

  Returns:
    the ftsWidthAfter field value.

### setFNeverBeenAutofit

    public void setFNeverBeenAutofit(boolean value)

  Sets the fNeverBeenAutofit field value. When 1, table has never been autofit

### isFNeverBeenAutofit

    public boolean isFNeverBeenAutofit()

  When 1, table has never been autofit

  Returns:
    the fNeverBeenAutofit field value.

### setFInvalAutofit

    public void setFInvalAutofit(boolean value)

  Sets the fInvalAutofit field value. When 1, TAP is still valid, but autofit properties aren't

### isFInvalAutofit

    public boolean isFInvalAutofit()

  When 1, TAP is still valid, but autofit properties aren't

  Returns:
    the fInvalAutofit field value.

### setWidthAndFitsFlags_empty1

    public void setWidthAndFitsFlags_empty1(byte value)

  Sets the widthAndFitsFlags_empty1 field value. Not used

### getWidthAndFitsFlags_empty1

    public byte getWidthAndFitsFlags_empty1()

  Not used

  Returns:
    the widthAndFitsFlags_empty1 field value.

### setFVert

    public void setFVert(boolean value)

  Sets the fVert field value. When 1, positioned in vertical text flow

### isFVert

    public boolean isFVert()

  When 1, positioned in vertical text flow

  Returns:
    the fVert field value.

### setPcVert

    public void setPcVert(byte value)

  Sets the pcVert field value. Vertical position code. Specifies coordinate frame to use when paragraphs are absolutely positioned. 0 -- vertical position coordinates are relative to margin; 1 -- coordinates are relative to page; 2 -- coordinates are relative to text. This means: relative to where the next non-APO text would have been placed if this APO did not exist.

### getPcVert

    public byte getPcVert()

  Vertical position code. Specifies coordinate frame to use when paragraphs are absolutely positioned. 0 -- vertical position coordinates are relative to margin; 1 -- coordinates are relative to page; 2 -- coordinates are relative to text. This means: relative to where the next non-APO text would have been placed if this APO did not exist.

  Returns:
    the pcVert field value.

### setPcHorz

    public void setPcHorz(byte value)

  Sets the pcHorz field value. Horizontal position code. Specifies coordinate frame to use when paragraphs are absolutely positioned. 0 -- horizontal position coordinates are relative to column; 1 -- coordinates are relative to margin; 2 -- coordinates are relative to page

### getPcHorz

    public byte getPcHorz()

  Horizontal position code. Specifies coordinate frame to use when paragraphs are absolutely positioned. 0 -- horizontal position coordinates are relative to column; 1 -- coordinates are relative to margin; 2 -- coordinates are relative to page

  Returns:
    the pcHorz field value.

### setWidthAndFitsFlags_empty2

    public void setWidthAndFitsFlags_empty2(short value)

  Sets the widthAndFitsFlags_empty2 field value. Not used

### getWidthAndFitsFlags_empty2

    public short getWidthAndFitsFlags_empty2()

  Not used

  Returns:
    the widthAndFitsFlags_empty2 field value.

### setFFirstRow

    public void setFFirstRow(boolean value)

  Sets the fFirstRow field value. Used internally by Word: first row

### isFFirstRow

    public boolean isFFirstRow()

  Used internally by Word: first row

  Returns:
    the fFirstRow field value.

### setFLastRow

    public void setFLastRow(boolean value)

  Sets the fLastRow field value. Used internally by Word: last row

### isFLastRow

    public boolean isFLastRow()

  Used internally by Word: last row

  Returns:
    the fLastRow field value.

### setFOutline

    public void setFOutline(boolean value)

  Sets the fOutline field value. Used internally by Word: row was cached for outline mode

### isFOutline

    public boolean isFOutline()

  Used internally by Word: row was cached for outline mode

  Returns:
    the fOutline field value.

### setFOrigWordTableRules

    public void setFOrigWordTableRules(boolean value)

  Sets the fOrigWordTableRules field value. Used internally by Word: table combining like Word 5.x for the Macintosh and WinWord 1.x

### isFOrigWordTableRules

    public boolean isFOrigWordTableRules()

  Used internally by Word: table combining like Word 5.x for the Macintosh and WinWord 1.x

  Returns:
    the fOrigWordTableRules field value.

### setFCellSpacing

    public void setFCellSpacing(boolean value)

  Sets the fCellSpacing field value. Used internally by Word: When set to 1 cell spacing is allowed

### isFCellSpacing

    public boolean isFCellSpacing()

  Used internally by Word: When set to 1 cell spacing is allowed

  Returns:
    the fCellSpacing field value.

### setGrpfTap_unused

    public void setGrpfTap_unused(short value)

  Sets the grpfTap_unused field value. Not used

### getGrpfTap_unused

    public short getGrpfTap_unused()

  Not used

  Returns:
    the grpfTap_unused field value.

### setFWrapToWwd

    public void setFWrapToWwd(boolean value)

  Sets the fWrapToWwd field value. Used internally by Word: Wrap to window is on when set to 1

### isFWrapToWwd

    public boolean isFWrapToWwd()

  Used internally by Word: Wrap to window is on when set to 1

  Returns:
    the fWrapToWwd field value.

### setFNotPageView

    public void setFNotPageView(boolean value)

  Sets the fNotPageView field value. Used internally by Word: when set to 1 we are not in Page View

### isFNotPageView

    public boolean isFNotPageView()

  Used internally by Word: when set to 1 we are not in Page View

  Returns:
    the fNotPageView field value.

### setViewFlags_unused1

    public void setViewFlags_unused1(boolean value)

  Sets the viewFlags_unused1 field value. Not used

### isViewFlags_unused1

    public boolean isViewFlags_unused1()

  Not used

  Returns:
    the viewFlags_unused1 field value.

### setFWebView

    public void setFWebView(boolean value)

  Sets the fWebView field value. Used internally by Word: Web View is on when set to 1

### isFWebView

    public boolean isFWebView()

  Used internally by Word: Web View is on when set to 1

  Returns:
    the fWebView field value.

### setFAdjusted

    public void setFAdjusted(boolean value)

  Sets the fAdjusted field value. Used internally by Word

### isFAdjusted

    public boolean isFAdjusted()

  Used internally by Word

  Returns:
    the fAdjusted field value.

### setViewFlags_unused2

    public void setViewFlags_unused2(short value)

  Sets the viewFlags_unused2 field value. Not used

### getViewFlags_unused2

    public short getViewFlags_unused2()

  Not used

  Returns:
    the viewFlags_unused2 field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD